This item requires flash 9.0 or higher. Please go to the Adobe site to download the newest version.